@mixin simpleButtonActive {
  .active & {
    @include themify($themes) {
      transition: all 0.3s ease-in-out;
      background: themed('backgroundLight') !important;
    }
    & > .simple-button__items {
      & > .simple-button__items-text {
        @include themify($themes) {
          transition: all 0.3s ease-in-out;
          color: themed('background');
        }
      }
      & > .simple-button__items-image {
        @include svg-set() {
          @include themify($themes) {
            transition: all 0.3s ease-in-out;
            stroke: themed('background') !important;
            fill: themed('background') !important;
          }
        }
      }
    }
    &:hover {
      @include themify($themes) {
        transition: all 0.3s ease-in-out;
        background: lighten(themed('backgroundLight'), 10%)  !important;
      }
      & > .simple-button__items {
        & > .simple-button__items-text {
          @include themify($themes) {
            transition: all 0.3s ease-in-out;
            color: themed('background');
          }
        }
        & > .simple-button__items-image {
          @include svg-set() {
            @include themify($themes) {
              transition: all 0.3s ease-in-out;
              stroke: themed('background') !important;
              fill: themed('background') !important;
            }
          }
        }
      }
    }
  }
}

.simple-button {
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 5px;
  text-align: center;
  @include themify($themes) {
    background: themed('main');
  }
  &__link {
    cursor: pointer;
    background: transparent;
    @include default-link;
    padding: 0px;
    &:hover > .simple-button {
      @include themify($themes) {
        transition: all 0.3s ease-in-out;
        background: lighten(themed('main'), 10%);
      }
      & > .simple-button__items {
        & > .simple-button__items-text {
          @include themify($themes) {
            transition: all 0.3s ease-in-out;
            color: themed('string');
          }
        }
        & > .simple-button__items-image {
          @include svg-set() {
            @include themify($themes) {
              transition: all 0.3s ease-in-out;
              stroke: themed('string') !important;
              fill: themed('string') !important;
            }
          }
        }
      }
    }
  }
  &__items {
    transition: all 0.3s ease-in-out;
    text-decoration: none !important;
    clear: both;
    &-text {
      @include FS(FM);
      @include FM(B);
      text-decoration: none !important;
      @include themify($themes) {
        color: themed('string');
      }
      float: left;
      margin-left: 8px;
    }
    &-image {
      float: left;
      text-decoration: none !important;
      @include svg-set() {
        @include themify($themes) {
          transition: all 0.3s ease-in-out;
          stroke: themed('string') !important;
          fill: themed('string')!important;
        }
      }
    }
  }
  @include simpleButtonActive;
}

@mixin simpleButtonDarkActive {
  .active & {
    @include themify($themes) {
      transition: all 0.3s ease-in-out;
      background: themed('backgroundLight') !important;
    }
    & > .simple-button-dark__items {
      & > .simple-button-dark__items-text {
        @include themify($themes) {
          transition: all 0.3s ease-in-out;
          color: themed('background');
        }
      }
      & > .simple-button-dark__items-image {
        @include svg-set() {
          @include themify($themes) {
            transition: all 0.3s ease-in-out;
            stroke: themed('background') !important;
            fill: themed('background') !important;
          }
        }
      }
    }
    &:hover {
      @include themify($themes) {
        transition: all 0.3s ease-in-out;
        background: lighten(themed('backgroundLight'), 10%)  !important;
      }
      & > .simple-button-dark__items {
        & > .simple-button-dark__items-text {
          @include themify($themes) {
            transition: all 0.3s ease-in-out;
            color: themed('background');
          }
        }
        & > .simple-button-dark__items-image {
          @include svg-set() {
            @include themify($themes) {
              transition: all 0.3s ease-in-out;
              stroke: themed('background') !important;
              fill: themed('background') !important;
            }
          }
        }
      }
    }
  }
}

.simple-button-dark {
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 5px;
  text-align: center;
  @include themify($themes) {
    background: themed('cancel');
  }
  &__link {
    cursor: pointer;
    background: transparent;
    @include default-link;
    padding: 0px;
    &:hover > .simple-button-dark {
      @include themify($themes) {
        transition: all 0.3s ease-in-out;
        background: lighten(themed('cancel'), 10%);
      }
      & > .simple-button-dark__items {
        & > .simple-button-dark__items-text {
          @include themify($themes) {
            transition: all 0.3s ease-in-out;
            color: themed('string');
          }
        }
        & > .simple-button-dark__items-image {
          @include svg-set() {
            @include themify($themes) {
              transition: all 0.3s ease-in-out;
              stroke: themed('string') !important;
              fill: themed('string') !important;
            }
          }
        }
      }
    }
  }
  &__items {
    transition: all 0.3s ease-in-out;
    text-decoration: none !important;
    clear: both;
    &-text {
      @include FS(FM);
      @include FM(B);
      text-decoration: none !important;
      @include themify($themes) {
        color: themed('string');
      }
      float: left;
      margin-left: 8px;
    }
    &-image {
      float: left;
      text-decoration: none !important;
      @include svg-set() {
        @include themify($themes) {
          transition: all 0.3s ease-in-out;
          stroke: themed('string') !important;
          fill: themed('string')!important;
        }
      }
    }
  }
  @include simpleButtonDarkActive;
}

@mixin simpleButtonWhiteActive {
  .active & {
    @include themify($themes) {
      transition: all 0.3s ease-in-out;
      background: themed('backgroundLight') !important;
    }
    & > .simple-button-white__items {
      & > .simple-button-white__items-text {
        @include themify($themes) {
          transition: all 0.3s ease-in-out;
          color: themed('background');
        }
      }
      & > .simple-button-white__items-image {
        @include svg-set() {
          @include themify($themes) {
            transition: all 0.3s ease-in-out;
            stroke: themed('background') !important;
            fill: themed('background') !important;
          }
        }
      }
    }
    &:hover {
      @include themify($themes) {
        transition: all 0.3s ease-in-out;
        background: lighten(themed('backgroundLight'), 10%)  !important;
      }
      & > .simple-button-white__items {
        & > .simple-button-white__items-text {
          @include themify($themes) {
            transition: all 0.3s ease-in-out;
            color: themed('background');
          }
        }
        & > .simple-button-white__items-image {
          @include svg-set() {
            @include themify($themes) {
              transition: all 0.3s ease-in-out;
              stroke: themed('background') !important;
              fill: themed('background') !important;
            }
          }
        }
      }
    }
  }
}

.simple-button-white {
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 5px;
  text-align: center;
  @include themify($themes) {
    background: #fff;
  }
  &__link {
    cursor: pointer;
    background: transparent;
    @include default-link;
    padding: 0px;
    &:hover > .simple-button-white {
      @include themify($themes) {
        transition: all 0.3s ease-in-out;
        background: darken(#fff, 10%);
      }
      & > .simple-button-white__items {
        & > .simple-button-white__items-text {
          @include themify($themes) {
            transition: all 0.3s ease-in-out;
            color: themed('main');
          }
        }
        & > .simple-button-white__items-image {
          @include svg-set() {
            @include themify($themes) {
              transition: all 0.3s ease-in-out;
              stroke: themed('main') !important;
              fill: themed('main') !important;
            }
          }
        }
      }
    }
  }
  &__items {
    transition: all 0.3s ease-in-out;
    text-decoration: none !important;
    clear: both;
    &-text {
      @include FS(FM);
      @include FM(B);
      text-decoration: none !important;
      @include themify($themes) {
        color: themed('main');
      }
      float: left;
      margin-left: 8px;
    }
    &-image {
      float: left;
      text-decoration: none !important;
      @include svg-set() {
        @include themify($themes) {
          transition: all 0.3s ease-in-out;
          stroke: themed('main') !important;
          fill: themed('main')!important;
        }
      }
    }
  }
  @include simpleButtonWhiteActive;
}

#simple_button_submit {
  width: 100%;
  height: 100%;
  border: none;
}
